JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
result
=
await
client
.
issues
.
results
.
retrieve
(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
console
.
log
(
result
.
sessionUuid
);
curl --request GET \
  --url https://bff.opriven.com/api/v2/issues/{id}/results \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/issues/{id}/results"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}/results",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues/{id}/results"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/{id}/results")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues/{id}/results")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
404
429
500
{
"sessionUuid"
:
"<string>"
,
"rootCause"
: {
"id"
:
"<string>"
,
"incidentOverview"
:
"<string>"
,
"rootCauseSummary"
:
"<string>"
,
"relevantEvidence"
: [
{
"title"
:
"<string>"
,
"status"
:
"relevant"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"artifacts"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
],
"irrelevantEvidence"
: [
{
"title"
:
"<string>"
,
"status"
:
"relevant"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"artifacts"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
]
},
"causalTree"
: {
"nodes"
: [
{
"id"
:
"<string>"
,
"type"
:
"validated"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"expandedContent"
:
"<string>"
}
],
"edges"
: [
{
"id"
:
"<string>"
,
"source"
:
"<string>"
,
"target"
:
"<string>"
}
]
},
"causalTreeV2"
: {
"nodes"
: [
{
"id"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"nodeType"
:
"outcome"
,
"evidence"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
],
"edges"
: [
{
"from"
:
"<string>"
,
"to"
:
"<string>"
,
"confidence"
:
0.5
}
]
},
"remediation"
: {
"actions"
: [
{
"id"
:
"<string>"
,
"uuid"
:
"<string>"
,
"title"
:
"<string>"
,
"steps"
: [
{
"id"
:
"<string>"
,
"title"
:
"<string>"
,
"required"
:
true
,
"type"
:
"info"
,
"content"
:
"<string>"
,
"helpMarkdown"
:
"<string>"
,
"label"
:
"<string>"
}
],
"description"
:
"<string>"
,
"category"
:
"immediate"
,
"markdownPrompt"
:
"<string>"
}
]
},
"timeline"
: [
{
"id"
:
"<string>"
,
"type"
:
"outcome"
,
"timestamp"
:
"2023-11-07T05:31:56Z"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"evidence"
: [
{
"artifactId"
:
"<string>"
,
"timestamp"
:
"2023-11-07T05:31:56Z"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
}
]
}
]
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Issues
Fetch investigation results by ID (UUID)
Copy page
Copy page
Retrieves detailed investigation results including root cause analysis and remediation steps
Copy page
Copy page
GET
https://bff.opriven.com/api/v2
https://bff.dev.opriven.com/api/v2
/
issues
/
{id}
/
results
Try it
JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
result
=
await
client
.
issues
.
results
.
retrieve
(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
console
.
log
(
result
.
sessionUuid
);
curl --request GET \
  --url https://bff.opriven.com/api/v2/issues/{id}/results \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/issues/{id}/results"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}/results",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues/{id}/results"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/{id}/results")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues/{id}/results")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
404
429
500
{
"sessionUuid"
:
"<string>"
,
"rootCause"
: {
"id"
:
"<string>"
,
"incidentOverview"
:
"<string>"
,
"rootCauseSummary"
:
"<string>"
,
"relevantEvidence"
: [
{
"title"
:
"<string>"
,
"status"
:
"relevant"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"artifacts"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
],
"irrelevantEvidence"
: [
{
"title"
:
"<string>"
,
"status"
:
"relevant"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"artifacts"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
]
},
"causalTree"
: {
"nodes"
: [
{
"id"
:
"<string>"
,
"type"
:
"validated"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"expandedContent"
:
"<string>"
}
],
"edges"
: [
{
"id"
:
"<string>"
,
"source"
:
"<string>"
,
"target"
:
"<string>"
}
]
},
"causalTreeV2"
: {
"nodes"
: [
{
"id"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"confidence"
:
"unknown"
,
"nodeType"
:
"outcome"
,
"evidence"
: [
{
"documentId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"dataType"
:
"<string>"
}
]
}
],
"edges"
: [
{
"from"
:
"<string>"
,
"to"
:
"<string>"
,
"confidence"
:
0.5
}
]
},
"remediation"
: {
"actions"
: [
{
"id"
:
"<string>"
,
"uuid"
:
"<string>"
,
"title"
:
"<string>"
,
"steps"
: [
{
"id"
:
"<string>"
,
"title"
:
"<string>"
,
"required"
:
true
,
"type"
:
"info"
,
"content"
:
"<string>"
,
"helpMarkdown"
:
"<string>"
,
"label"
:
"<string>"
}
],
"description"
:
"<string>"
,
"category"
:
"immediate"
,
"markdownPrompt"
:
"<string>"
}
]
},
"timeline"
: [
{
"id"
:
"<string>"
,
"type"
:
"outcome"
,
"timestamp"
:
"2023-11-07T05:31:56Z"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"evidence"
: [
{
"artifactId"
:
"<string>"
,
"timestamp"
:
"2023-11-07T05:31:56Z"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
}
]
}
]
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Authorizations
Authorization
string
header
required
API key authentication via Bearer token
Headers
Opriven-Version
string
default:
2026-03-17
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's
info.version
field to opt into exactly this version's schema.
Example
:
"2026-03-17"
Path Parameters
id
string<uuid>
required
Issue unique identifier (UUID)
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Query Parameters
version
integer<int32>
Issue version for workflow results (defaults to latest)
Required range
:
x >= 1
Response
200
application/json
Investigation results
sessionUuid
string | null
required
Session UUID for live investigation
rootCause
object | null
required
Root cause information
Show
child attributes
causalTree
object
required
Causal tree analysis
Show
child attributes
causalTreeV2
object
required
Causal graph V2 with enriched evidence
Show
child attributes
remediation
object
required
Remediation actions and steps
Show
child attributes
timeline
object[]
required
Timeline events
Show
child attributes
Update issue status by ID (UUID)
Retrieve artifacts by IDs
Powered by
This documentation is built and hosted on Mintlify, a developer documentation platform